## sugar-0.88 0.87.2

=== debian/changelog ===
sugar-0.88 (0.87.2-1) unstable; urgency=low

  * New upstream development release.
  * Use bzip2-compressed tarballs in gbp.conf.
  * Fix depend on python-simplejson (and not python-cjson). Closes:
    bug#563037, thanks to Rafael Ortiz.
  * Update debian/copyright (no new licenses or owners, just shuffling
    around).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Dec 2009 16:09:09 +0100

sugar-0.88 (0.87.1-2) unstable; urgency=low

  * Have python-jarabe depend on sugar-presence-service. Closes:
    bug#560292, thanks to Fabian Greffrath.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Dec 2009 13:19:03 +0100

sugar-0.88 (0.87.1-1) unstable; urgency=low

  * New upstream development release.
  * Drop patch syncing against upstream Git: obsoleted by new upstream
    release.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Dec 2009 15:43:39 +0100

sugar-0.88 (0.86.3-2) experimental; urgency=low

  * Drop noop conflicts/replaces, and adjust notes on when others can be
    dropped.
  * Have versioned sucrose conflict/replace (not only provide) virtual
    unversioned sugar.
  * Add note on need for python-wnck.
  * Fix short and long descriptions for sugar-emulator. Closes:
    bug#558903, thanks to Rhonda.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Dec 2009 02:06:29 +0100

sugar-0.88 (0.86.3-1) experimental; urgency=low

  * Switch packaging to branch 0.88.
  * Add and apply patch to sync with upstream git head.
  * Update local CDBS snippet upstream-tarball.mk to no longer
    recompress bzip-compressed tarballs in get-orig-source rule.
  * Release for experimental, as not all parts of 0.88 branch are
    packaged yet.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 20 Nov 2009 20:09:28 +0100

sugar-0.86 (0.86.3-6) unstable; urgency=low

  * Fix and improve dependencies:
    + Recommend (not depend on) x11-xserver-utils (used in
      controlpanel).
    + Fix replace and conflict with sugar from replacement packages (not
      sucrose metapackage), and do it versioned.
    + Fix provide/conflict with/replace virtual counterparts of all non-
      meta packages (not only python-jarabe).
    + Declare session_activities more compactly.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Nov 2009 15:31:45 +0100

sugar-0.86 (0.86.3-5) unstable; urgency=low

  * Update local CDBS snippets:
    + Fix python-vars.mk to allow overriding DEB_PYTHON_PACKAGES.
    + Fix invoke Python debhelper hook right after dh_install (not
      before) to include files installed through debhelper.
  * Split out new binary packages python-jarabe, sugar-session,
    sugar-emulator and sugar-tools, and replace/rename now empty sugar
    package with sucrose (all with trailing -$BRANCH).
    As a result, parts of Sugar can be installed alone, and installing
    sucrose ensures that all official parts of a released sucrose gets
    installed (in the future - not all parts are packaged officially for
    Debian yet).
    Provides/conflicts/replaces are temporarily provided for old
    versioned sugar packages to help migration.
    Provides/conflicts/replaces for unversioned "sugar" will be kept, to
    have "aptitude install sugar" be sensible (with only a single branch
    available it installs, with multiple branches it lists the options).
  * Use locally written XDG-compliant desktop file for sugar-emulator.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 11 Nov 2009 14:09:33 +0100

sugar-0.86 (0.86.3-4) unstable; urgency=low

  * Tighten python-gobject dependency to versions providing GIO binding.
  * Tighten dependency on python-telepathy to versions implementing
    CONNECTION_INTERFACE_REQUESTS ABI.
  * Beautify comments in debian/rules.
  * Restructure debian/rules to explicitly use sugar-$(pkgbranch).
  * Update local python-autotools.mk snippet to make
    DEB_PYTHON_PRIVATE_MODULES_DIRS apply alos to dh_python-central (not
    only dh_python-support) as it has apparently been supported since at
    least python-central 0.6.6.
  * Register Python private modules below /usr/share/sugar.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Nov 2009 01:58:05 +0100

sugar-0.86 (0.86.3-3) unstable; urgency=low

  * Apply patches, and drop using quilt (unneeded with new source
    format, and Sugar not backportable to Etch anyway). Stop build-
    depending on quilt or patchutils. Update README.source.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Nov 2009 01:06:48 +0100

sugar-0.86 (0.86.3-2) unstable; urgency=low

  * Have dependency on python-gconf fallback to older python-gnome2, to
    ease backporting.
  * Switch to source format 3.0 (quilt).
  * Restructure patches to DEP3 format: Add meta-info; drop leading
    numbers and README.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Nov 2009 00:37:43 +0100

sugar-0.86 (0.86.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Oct 2009 23:29:54 +0200

sugar-0.86 (0.86.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 08 Oct 2009 22:03:48 +0200

sugar-0.86 (0.86.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Depend on x11-xserver-utils (xrdb now needed in sugar script).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Oct 2009 15:09:55 +0200

sugar-0.86 (0.86.0-1) unstable; urgency=low

  * New upstream stable release.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Sep 2009 17:14:13 +0200

sugar-0.86 (0.85.9-2) unstable; urgency=low

  * Fix add epoch to dependency on metacity.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Sep 2009 18:38:00 +0200

sugar-0.86 (0.85.9-1) unstable; urgency=low

  * New upstream development release.
  * Recommend tzdata (needed in datetime controlpanel).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Sep 2009 14:16:49 +0200

sugar-0.86 (0.85.8-1) unstable; urgency=low

  * New upstream devlopment release.
  * Fix depend versioned on metacilty (required --no-force-fullscreen
    option introduced in 2.27.1).

