=== debian/control ===
Source: sugar-0.88
Section: x11
Priority: optional
Maintainer: Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.39), devscripts (>= 2.10.7), python-dev (>= 2.3.5-11), python-central (>= 0.5.6), debhelper (>= 6), dh-buildinfo, libglib2.0-dev, python-gtk2-dev, libgconf2-dev, gettext, intltool, shared-mime-info, python-empy
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/collab-maint/sugar.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sugar.git;a=summary
Homepage: http://wiki.sugarlabs.org/go/Sugar
XS-Python-Version: all

Package: sucrose-0.88
Architecture: all
Depends: ${misc:Depends}, ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${python:Provides}, ${cdbs:Provides}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Description: Sugar graphical shell - Sucrose 0.88
 Sugar is a graphical user interface aimed at children.
 .
 Originating as intregral part of the OLPC "XO" a.k.a. the $100 laptop,
 Sugar has since grown into a more widely usable low-ressource desktop
 environment for kids.
 .
 This package depends on all packages which make up Sucrose, the
 official base Sugar environment.

Package: sugar-session-0.88
Architecture: all
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${python:Provides}, ${cdbs:Provides}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
XB-Python-Version: ${python:Versions}
Description: Sugar graphical shell - window manager
 Sugar is a graphical user interface aimed at children.
 .
 Originating as intregral part of the OLPC "XO" a.k.a. the $100 laptop,
 Sugar has since grown into a more widely usable low-ressource desktop
 environment for kids.
 .
 This package contains the integrated session and window manager Sugar.

Package: sugar-emulator-0.88
Architecture: all
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${python:Provides}, ${cdbs:Provides}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
XB-Python-Version: ${python:Versions}
Description: Sugar graphical shell - emulator
 Sugar is a graphical user interface aimed at children.
 .
 Originating as intregral part of the OLPC "XO" a.k.a. the $100 laptop,
 Sugar has since grown into a more widely usable low-ressource desktop
 environment for kids.
 .
 This package contains a wrapper script to run Sugar in a Xephyr window,
 making it possible to run it from inside another Desktop environment.

Package: sugar-tools-0.88
Architecture: all
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${python:Provides}, ${cdbs:Provides}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
XB-Python-Version: ${python:Versions}
Description: Sugar graphical shell - window manager
 Sugar is a graphical user interface aimed at children.
 .
 Originating as intregral part of the OLPC "XO" a.k.a. the $100 laptop,
 Sugar has since grown into a more widely usable low-ressource desktop
 environment for kids.
 .
 This package contains the following helper utilities for Sugar:
  - sugar-activity
  - sugar-control-panel
  - sugar-install-bundle
  - sugar-launch
  - sugar-ui-check

Package: python-jarabe-0.88
Section: python
Architecture: all
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${python:Provides}, ${cdbs:Provides}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
XB-Python-Version: ${python:Versions}
Description: Sugar graphical shell - library
 Sugar is a graphical user interface aimed at children.
 .
 Originating as intregral part of the OLPC "XO" a.k.a. the $100 laptop,
 Sugar has since grown into a more widely usable low-ressource desktop
 environment for kids.
 .
 This package contains Jarabe, the Sugar Graphical "Shell" Interface
 providing the shell-level operations for Sugar.  It interacts heavily
 with the Sugar UI libraries.
 .
 This is a "graphical" shell, the name does not refer to a command-line
 "shell" interface.
