## sugar-0.88 0.88.1

=== debian/changelog ===
sugar-0.88 (0.88.1-2) unstable; urgency=low

  * Tighten watch file to track only 0.88 branch.
  * Branch off upstream 0.88 branch in git: Update Vcs-Browser stanza
    and git-buildpackage config.
  * Relax transitional conflicts to use Breaks: (not Conflicts:).
  * Bump claimed Policy compliance to standards-version to 3.9.0.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Jul 2010 12:49:30 +0200

sugar-0.88 (0.88.1-1) unstable; urgency=low

  * New upstream maintenance release.

  [ Luke Faraone ]
  * Include a comment in sugar.desktop.
  * Add self to uploaders and set DMUA.

  [ Jonas Smedegaard ]
  * Tighten README.source section on CDBS usage: all snippets are now
    officially packaged ones.
  * Update README.source: Fix document bootstrapping upstream Git, and
    rewrite to not use upstream-git branch.
  * Bump a year in copyright file.
  * Suppress unneeded auto-resolved build-dependency on python-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Jun 2010 10:59:22 +0200

sugar-0.88 (0.88.0-3) unstable; urgency=low

  * Update copyright file:
    + Fix replace license section MIT with Expat and other-X, adding
      comment on Expat variation.
    + Rename and tighten other-GAP-* sections.
  * Refer to FSF website (not postal address) in rules file header.
  * Have sugar-session and sucrose recommend (not suggest) officially
    packaged activities and python-xklavier.
  * Have python-jarabe recommend, and sucrose depend on, avahi-autoipd.
    Closes: bug#580808, thanks to Sascha Silbe.
  * Have python-jarabe recommend, and sucrose depend on, alsa-utils.
    Closes: bug#581504, thanks to Sascha Silbe.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 May 2010 01:04:49 +0200

sugar-0.88 (0.88.0-2) unstable; urgency=low

  * Tidy copyright sections in copyright file.
  * Adjust debian/* copyright years in copyright file.
  * Have sugar-session recommend (and sucrose depend on) gvfs, for GIO
    removable media support. Closes: bug#577681, thanks to Sascha Silbe.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Apr 2010 22:20:14 +0200

sugar-0.88 (0.88.0-1) unstable; urgency=low

  * New upstream development release.
  * Drop all local CDBS snippets: included with main cdbs package now.
  * Revert apply patches to source in Git.
  * Refresh and unfuzz patches.
  * Drop build-dependencies on quilt and patchutils.
  * Relax build-dependencies on python-central and python-dev.
  * Relax build-dependency on devscripts slightly, to ease backporting.
  * Tighten build-dependency on cdbs.
  * Disable patches adding danish l10n: Upstream ships with alternative
    translation now (merging postponed till later).
  * Update copyright file:
    + Reformat to conform to draft DEP5 rev. 135.
    + Add a few new owners and years (no new licenses).
    + Shuffle file sections around to better match hints file.
  * Bump standards-version to 3.8.4.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Mar 2010 12:13:18 +0200
