=== debian/control ===
--- 
+++ 
@@ -2,11 +2,24 @@
 Section: x11
 Priority: optional
 Maintainer: Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>
-Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs (>= 0.4.39), devscripts (>= 2.10.7), python-dev (>= 2.3.5-11), python-central (>= 0.5.6), debhelper (>= 6), dh-buildinfo, libglib2.0-dev, python-gtk2-dev, libgconf2-dev, gettext, intltool, shared-mime-info, python-empy
-Standards-Version: 3.8.3
+Uploaders: Jonas Smedegaard <dr@jones.dk>, Luke Faraone <luke@faraone.cc>
+DM-Upload-Allowed: yes
+Build-Depends: devscripts (>= 2.10.7~),
+ dh-buildinfo,
+ python-central,
+ cdbs (>= 0.4.75~),
+ python,
+ debhelper (>= 6),
+ libglib2.0-dev,
+ python-gtk2-dev,
+ libgconf2-dev,
+ gettext,
+ intltool,
+ shared-mime-info,
+ python-empy
+Standards-Version: 3.9.0
 Vcs-Git: git://git.debian.org/git/collab-maint/sugar.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/sugar.git;a=summary
+Vcs-Browser: http://git.debian.org/?p=collab-maint/sugar.git;a=shortlog;h=refs/heads/master-0.88
 Homepage: http://wiki.sugarlabs.org/go/Sugar
 XS-Python-Version: all
 
@@ -34,6 +47,7 @@
 Recommends: ${cdbs:Recommends}
 Suggests: ${cdbs:Suggests}
 Provides: ${python:Provides}, ${cdbs:Provides}
+Breaks: ${cdbs:Breaks}
 Conflicts: ${cdbs:Conflicts}
 Replaces: ${cdbs:Replaces}
 XB-Python-Version: ${python:Versions}
@@ -52,6 +66,7 @@
 Recommends: ${cdbs:Recommends}
 Suggests: ${cdbs:Suggests}
 Provides: ${python:Provides}, ${cdbs:Provides}
+Breaks: ${cdbs:Breaks}
 Conflicts: ${cdbs:Conflicts}
 Replaces: ${cdbs:Replaces}
 XB-Python-Version: ${python:Versions}
@@ -71,6 +86,7 @@
 Recommends: ${cdbs:Recommends}
 Suggests: ${cdbs:Suggests}
 Provides: ${python:Provides}, ${cdbs:Provides}
+Breaks: ${cdbs:Breaks}
 Conflicts: ${cdbs:Conflicts}
 Replaces: ${cdbs:Replaces}
 XB-Python-Version: ${python:Versions}
@@ -95,6 +111,7 @@
 Recommends: ${cdbs:Recommends}
 Suggests: ${cdbs:Suggests}
 Provides: ${python:Provides}, ${cdbs:Provides}
+Breaks: ${cdbs:Breaks}
 Conflicts: ${cdbs:Conflicts}
 Replaces: ${cdbs:Replaces}
 XB-Python-Version: ${python:Versions}
